Subject: Re: [PATCH v3 3/4] crypto/net/ipv6: sr: Switch to using crypto_pool

From: Jakub Kicinski <[email-masked]>
Date: Tue, 17 Jan 2023 19:48:56 -0800

On Mon, 16 Jan 2023 20:14:57 +0000 Dmitry Safonov wrote:
> The conversion to use crypto_pool has the following upsides:
> - now SR uses asynchronous API which may potentially free CPU cycles and
>   improve performance for of CPU crypto algorithm providers;
> - hash descriptors now don't have to be allocated on boot, but only at
>   the moment SR starts using HMAC and until the last HMAC secret is
>   deleted;
> - potentially reuse ahash_request(s) for different users
> - allocate only one per-CPU scratch buffer rather than a new one for
>   each user
> - have a common API for net/ users that need ahash on RX/TX fast path

breaks allmodconfig build:

ERROR: modpost: "seg6_hmac_init" [net/ipv6/ipv6.ko] undefined!
make[2]: *** [../scripts/Makefile.modpost:138: Module.symvers] Error 1
make[1]: *** [/home/nipa/net-next/Makefile:1960: modpost] Error 2
make: *** [Makefile:242: __sub-make] Error 2